Introduction to the Telescope Command Center

The Telescope Command Center is a combination of hardware and software designed to control the peripheral functions of the RC Optical Systems line of Ritchey Chrieten telescopes. The TCC hardware consists of a processing unit attached to the telescope and a hand held display unit used for user control. The TCC can also be simultaneously controlled via computer through its serial port.

The TCC provides control for the following functions of RC Optical Systems telescopes:

  • Focusing via a servo controlled secondary mirror actuator
  • Instrument rotation.
  • Monitoring of telescope mirrors and ambient temperatures with manual or automatic control of the telescope cooling fans.
  • Precision servo control of secondary dew heater.
  • Two zones of variable power 60 watt DC auxiliary outputs which can be used to control Kendrick dew heaters or other variable power DC devices.

Almost all of the Telescope Command Centers capabilities are available via the scripting interface. This interface is ASCOM compliant, and uses platform-independent COM (ActiveX) interfaces for compatibility with the built-in Windows scripting host and many programming languages. The TCC seamlessly integrates with ASCOM compliant programs such as MaxIm DL CCD and FocusMax.


Contacting TCC

The latest versions of the TCC software and the hardware firmware can be downloaded from the RCOS user group at http://customer.rcopticalsystems.com

The answers to general questions can also be obtained from the RCOS User Group.


Using the Hand Controller

The hand controller allows for control of the TCC core functionality without the need for a computer.

The hand controller has a two line display that displays information pertinent to the current function. Use the Menu/Cancel button to scroll through the various TCC functions which include:

  • Focus

  • Instrument rotator

  • Fan control

  • Secondary dew heater

  • Auxiliary outputs/Dew heaters

  • Display brightness

The Menu/Cancel button is also used the cancel a selection or to return from a sub-menu. For example, press the Menu/Cancel button to cancel a request to slew home while in Focus or Instrument Rotator mode.

Use the Home/Enter button to enter into sub-menus pertinent to any given function, and to confirm a prompt for action. For example, pressing the Home/Enter button while in either Focus or Instrument Rotator mode will cause the 'Confirm Slew Home' prompt to be displayed. Pressing the Home/Enter button again would then initiate a slew to home position.

The Mode button scrolls between modes of operation available to any given function. The available modes are:

  • Focus/Instrument Rotator---'Fine', 'Coarse', or 'Off' sensitivity of Adjust knob.

  • Fan/Secondary heater---'Off', 'Manual', 'Automatic' control of power.

  • Auxiliary output---N/A

  • Display brightness---Toggles display/keypad brightness.

The Adjust knob is used to set the position or power for the various modes. While in Focus or Instrument rotator modes, use the Adjust knob to change position. While in Fan, Secondary heater, or Auxiliary output modes, use the Adjust knob to change the power setting.


Hand Controller Splash screen

Splash screen

When the TCC is first powered on a splash screen is displayed for approximately five seconds. The splash screen displays the current firmware version.


Focusing with the Hand Controller

Focusing

The TCCs default mode after power up is Focus. The TCC will also be placed in focus mode if a focus command is placed via software, and can also be placed in focus mode by scrolling through the TCC functions with the Menu/Cancel button.

For an overview on the workings of the TCC servo focuser see Understanding the servo focuser.

When in focus mode the following information is displayed:

There are two two displayed focus positions: The Set Point, which is the target position, and Actual, which is the true focuser position. Each count corresponds to 1/40,000 inch of secondary mirror movement, which is approximately 40 times the focus tolerance of a typical f/9 RC. The actual focus position is displayed along with the desired position so that any position errors, which can occur with increased mechanical resistance, can be easily detected. The TCC has been tuned by default to balance stability with accuracy; And although typically there will be no difference between actual and set focus positions, a difference of up to 2 counts is well within the design parameters and well within the telescope focus tolerance. Since each telescope is mechanically unique, the TCC servo focuser can be tuned to provide optimal accuracy. See Focuser settings for details of servo tuning and for setting focuser operating options..

The adjustment knob Sensitivity is displayed on the left side of the lower line. The sensitivity is set by toggling the Mode button on the hand controller. The available sensitivities are: Fine (FN), Coarse (CS), and Off (--). Where Fine results in a change of 50 counts per rotation of the Adjustment knob, Coarse results in a change of 500 counts per rotation of the Adjustment knob, and Off disables the Adjustment knob. Use the Off setting to prevent inadvertent change of focus while imaging.

To change focus simply rotate the Adjustment knob and the focus position will change in accordance with the sensitivity setting. Rotate clockwise to increase focus position (move the secondary mirror toward the primary mirror), and counter-clockwise to decrease focus position (move secondary mirror away from primary mirror). NOTE: The function of the Adjustment knob is dependent on the current TCC mode. It will only affect focus position while in Focus mode.

The next field on the lower line of the display is Position Mode. The two available position modes are Relative (Rel) and Absolute (Abs) positioning. In Absolute mode the focus position is relative to the fully retracted secondary actuator position. The secondary actuator contains a precise mechanical stop which is detected during a Home command, and is a highly repeatable reference point. . To place the TCC is Absolute positioning mode, move the focuser to the Home position by pressing the Home/Enter button.

Press the Home/Enter button to confirm the home slew, or the Menu/Cancel button to cancel.

During a home slew the focus position is displayed during motion. Pressing any key on the hand controller will abort the home slew. When the mechanical stop is detected the focus position is set to zero. The focus position is then moved 20 counts away from the mechanical stop to relieve any mechanical tension. Thus, after a Home maneuver the position reading will be 20.


Unsing the Instrument Rotator with the Hand Controller

Instrument rotator

To place the TCC in Instrument rotator mode toggle the Menu/Cancel button until the Rotator screen is displayed. The TCC will also be placed in Instrument rotator mode if a rotation command is received via software.

There are two two displayed rotator positions in units of degrees of revolution: The Set Point is the target position, and Actual is the instantaneous rotator position. The instrument rotator uses a high quality stepper motor which drives a worm gear. The overall step resolution of the instrument rotator is 1/200 degree of revolution, and the slew speed is 3.5 degrees/second. When the TCC commands the rotator to slew to a new position, the Set Point is position is displayed and the Actual instantaneous position is displayed as the rotator is slewing. The slew is stopped when the Set Point and Actual position are equal. The slew time can be calculated by dividing the slew distance by the slew speed. For example, a slew of 35 degrees will take approximately 10 seconds. A slew of 360 degrees takes approximately 102 seconds. A slew can be aborted by pressing either the Menu/Cancel or the Home/Enter buttons.

The adjustment knob Sensitivity is displayed on the left side of the lower line. The sensitivity is set by toggling the Mode button on the hand controller. The available sensitivities are: Fine (FN), Coarse (CS), and Off (--). Where Fine results in a change of 2.5 degrees per rotation of the Adjustment knob, Coarse results in a change of 25 degrees per rotation of the Adjustment knob, and Off disables the Adjustment knob. Use the Off setting to prevent inadvertent change of rotation while imaging.

To move the rotator simply rotate the Adjustment knob and the rotator position will change in accordance with the sensitivity setting. Rotate clockwise to increase rotator position (move the rotator clockwise), and counter-clockwise to decrease rotator position (move the rotator counter-clockwise). NOTE: The function of the Adjustment knob is dependent on the current TCC mode. It will only affect rotator position while in rotator mode.

The next field on the lower line of the display is Position Mode. The two available position modes are Relative (Rel) and Absolute (Abs) positioning. In Absolute mode the rotator position is relative to an internal reference point and positioning is repeatable between observing sessions. To place the TCC is Absolute positioning mode, move the Rotator to the Home position by pressing the Home/Enter button.

Press the Home/Enter button to confirm the home slew, or the Menu/Cancel button to cancel.

During a home slew the rotator position is displayed during motion. Pressing any key on the hand controller will abort the home slew. The instrument rotator contains two internal reference points positioned 180 degrees from one another. While rotating home the rotator will stop at the first reference point detected, and the displayed positions will be reset to either 0 or 180 degrees depending of which home sensor is detected.


Using Cooling Fans from the Hand Controller

Cooling fans

To place the TCC in Cooling Fan mode toggle the Menu/Cancel button until the Fan screen is displayed.

The Cooling Fan operating mode is set by toggling the Mode button. The available operating modes are Automatic (Auto), Manual (Man), and Off (Off). In Automatic mode the fan speed is determined by the relative Primary mirror and Ambient temperatures according to the fan servo settings. In manual mode the fan power is set using the Adjustment knob (0-100%). Rotate the knob clockwise to increase power. In Off mode the fans are turned off and the Adjustment knob is disabled.


Using the Secondary Mirror Heater from the Hand Controller

Secondary mirror heater

To place the TCC in Secondary mirror heater mode toggle the Menu/Cancel button until the Sec screen is displayed.

The Secondary mirror heater operating mode is set by toggling the Mode button. The available operating modes are Automatic (Auto), Manual (Man), and Off (Off). In Automatic mode the heater power is determined by the relative Secondary mirror and Ambient temperatures according to the Secondary heater settings. In manual mode the secondary heater power is set using the Adjustment knob (0-100%). Rotate the knob clockwise to increase power. In Off mode the secondary heater is turned off and the Adjustment knob is disabled.


Usiding the Auxiliary Dew Heaters from the Hand Controller

Auxiliary dew heaters

To place the TCC in Auxiliary dew heater modes toggle the Menu/Cancel button until either the Dew1 or Dew1 screen is displayed.

The TCC contains two variable power auxiliary outputs that can be used to power dew heating elements. Use the Adjustment knob to change the power setting (0-100%).


Adjusting the Display Brightness

Display brightness

To adjust the display brightness toggle the Menu/Cancel button until the Display brightness screen is displayed.

Pressing either the Home/Enter or Mode buttons will cause the display and keypad brightness to toggle among 25%, 50%, 75%, and 100% brightness levels.


Introduction to the TCC Software

The TCC software allows for computer control of the TCC hardware. The TCC can simultaneously be controlled via the hardware interface and any number of ASCOM compliant computer links. The status of all TCC functions remain synchronized across all connected user interfaces. Conversely, the TCC hardware is fully operational via the TCC software or ASCOM link, without the use of the hand controller. The TCC software extends the functionality of the TCC by adding:

  • Adjustment of servo parameters of Secondary Dew and Fan control.
  • Fine tuning of the Focus servo filter parameters.
  • Logging of Temperatures, Secondary Dew Heater and Fan powers, allowing for fine tuning of these automatic servo control functions.

The TCC software is fully ASCOM compliant and registers itself as an ASCOM compliant Focuser during installation, and is thus visible to all ASCOM compliant software packages such as MaxIm DL CCD. There are two program window sizes options available. The large window option allows for full control of all the TCC options. There is also a miniature stay-on-top window which allows for control of all the TCC core functions, while utilizing a small amount of computer screen real estate. The miniature window option is particularly useful when used in conjunction with a secondary ASCOM compliant program such as MaxIm DL CCD or FocusMax.


Exiting the Program

Exit

The Exit command causes the closure of the main TCC window. If no other ASCOM compliant connections are open then the communications link to the TCC hardware is closed. If other ASCOM compliant connections are present the communications link to the TCC is maintained to allow for continued operation.


Making a Serial Connection

Connect

The Connect command causes the TCC to attempt a connection to the TCC hardware through the comm. port configured in the port settings. If a connection is currently open through another running instance of TCC or an ASCOM compliant session, then an immediate connection is established. If no concurrent connections are open, then the TCC will attempt communications with the TCC hardware. If a response is received within the timeout period an communications link is established and computer control is enabled. Otherwise, an error is returned and computer control is disabled. See troubleshooting for possible causes of an error.


Disconnecting the Serial Link

Disconnect

The Disconnect command causes communications with the TCC hardware to disconnect. If no other ASCOM compliant connections are open then the communications link to the TCC hardware is closed. If other ASCOM compliant connections are present the communications link to the TCC is maintained to allow for continued operation.


Configuring the Communications Port

Port Settings

The Port Settings command displays the CommPort Properties dialog box.

Set the serial communications port by choosing from the drop down list. If an connection is active in this or any other sessions then a warning will be issued. Proceeding will cause the current connection to be closed in all open sessions and a connection with the new com port will be attempted.


Initiating a Data Log Session

Start data logging

The Start data logging command opens the Data Log Setup dialog box.

The TCC provides logging of various temperature related data in a comma delimited file (.csv) format. After a logging session is complete, this file can be opened with a spreadsheet program such as Excel and the data can be plotted and analyzed. This is useful for optimizing cooling and dew heater servo control.

The following information can be logged by checking the appropriate check boxes:

  • Ambient temperature.
  • Primary mirror temperature.
  • Secondary mirror temperature.
  • Fan power (speed).
  • Secondary dew heater power.

The sampling interval can be set between 1-120 seconds by pressing the up or down arrows. Since mirror temperatures change slowly, a setting of 30-60 seconds should provide adequate resolution for determining servo feedback parameters.

Choose the data file path and file name by typing in the provided text box or by pressing the Browse button and choosing a file using the standard Windows Save As dialog box. If an existing file is chosen then you will need to confirm if you wish to overwrite the existing file.

To start data logging and exit the Data logging setup window press the Start Log button. To exit without starting a logging session press the Cancel button or by closing the window.

Once a logging session is started, the Stop data logging option will be enabled under the Communications menu and the Toolbar


Terminating a Data Log Session

Stop data logging

The Stop data logging command stops the active data logging session and closes the log file. The Start data logging command on the Communications menu and Toolbar are re-enabled.


Firmware Upgrade Wizard

Firmware Upgrade

To access the Firmware Upgrade Wizard, choose menu items Tools -> Firmware Upgrade. The Firmware Upgrade Wizard which walks you through the process of upgrading the TCC hardware internal software.

To obtain the installed firmware version, click menu item Help -> About. The latest firmware version can be obtained from www.pacific-coral.com/tcc. Before beginning the firmware file must be downloaded and saved to disk.

When prompted by the wizard, type the path and name of the firmware file, or press 'Browse' and select the file using the Windows Open File dialog box. The file will have extention '.S19'

Before proceeding with the firmware upgrade, the wizard will confirm your intentions. Once started, the process must be allowed to complete. If for some reason the firmware upgrade is interrupted, the firmware upgrade must be repeated. To cancel the upgrade press 'Cancel', to proceed press 'Next'.

The status and progress of the firmware upgraded are displayed by the wizard. The normal sequence of events are: Initialization, Erasing, and Programming. If for some reason the wizard can not communicate with the TCC hardware, the process will display an error message after attempting initialization. Should this occur, power down and restart the hardware and try again. Once the programming process begins, its progress is displayed. It will take 2-3 minutes to upload the firmware. A successful firmware upgrade will be indicated by the following screen:

Once completed, the TCC hardware needs to be restarted.

NOTE: On occasion the hand controller alarm will sound during a firmware upgrade. This has no significance and does not indicate a problem. The hand controller can be safely disconnected from the TCC during a firmware upgrade.

If an error occurs during a firmware upgrade an error message will be displayed. In most situations the firmware upgrade will need to be repeated after rebooting the TCC hardware. A firmware upgrade that repeatedly fails is usually caused by a corrupted firmware file. On occasion, a corrupt firmware file will be successfully installed, but will not allow the TCC to operate normally. Should this happen the firmware upgrade wizard will not be able to properly communicate with the hardware. In this case, the hardware must be forced into upgrade mode by setting a hardware jumper. See Forcing a Firmware Upgrade for details.


Secondary Heater Calibration Wizard

Your RCOS telescope's secondary mirror contains a heating element and temperature sensor that, when configured properly, can precisely control the secondary mirror temperature to prevent dew while minimizing any adverse optical effects of heat within the optical path. Each mirror-heater pair is unique and requires calibration to realize precise temperature control. The easiest way to calibrate the secondary heater is to use the Secondary Heater Calibration Wizard which is accessed through menu items Tools->Secondary Heater Cal. Wizard

The calibration wizard works by collecting secondary heater temperature vs time in response to heater challenge. This data is then fit to a mathematical model that describes the various heater time constants and gain of your mirror-heater pair. These mathematical coefficients are then used by the automatic secondary heater servo routine within the TCC to automatically control the secondary temperature to within 0.1 F of the desired target temperature. To obtain best results the test should be performed while the ambient temperature is stable for 60 up to 120 minutes, so that the recorded temperature change is a result of the heater challenge only.

After reading the introduction click 'Next' to continue.

The calibration wizard can be used to analyze previously stored data or to collect and analyze new data. To analyze a previously stored data set click this option and select the data file by clicking 'Browse'. To collect new data enter the sample time appropriate for you size telescope. The sample time should be sufficiently long to allow the temperature rise to plateau in response to a heater challenge. For telescopes with aperture of 14.5" or smaller 60 minute sample time should be sufficient. Larger aperture telescopes require longer sample times. The maximum sample time is 120 minutes. Click 'Next' to continue.

If you chose to collect a new data set, the wizard will automatically collect data over the specified sample time. The secondary mirror temperature is displayed in GREEN and the ambient temperature is displayed in RED. The data collection progress is displayed in the status bar at the bottom of the screen. After the data collection is complete, or if analyzing previously stored data, the wizard will automatically begin analysis.

The collected data (RED) is graphed along with the fit equation (GREEN) and the analysis results are displayed along the bottom of the graph. A typical data collection will result in a coefficient of fit of 0.95 or higher. If the coefficient of fit is lower then the data is suspect and should not be used. If the data analysis fails to converge on a solution then a warning will be displayed. The most common reason for poor data is interference from ambient temperature changes or a sample time that is too short. Once analysis is complete click 'Next' to continue.

The TCC secondary heater servo coefficients are calculated from the analysis results and displayed along with the existing coefficients. To upload the coefficients to the TCC click 'Upload to TCC'. Press 'Next' to continue.

If you wish to save the data set to disk press 'Save', otherwise press 'Finish' to exit the wizard.


General Configuration Options

General configuration

To access the General Configuration dialog box click menu items Tools -> Options, then click the General tab.

The General tab allows for configuration of the telescope cooling fans, the internal electronics cooling fan, and the temperature probe coefficients.

Your RCOS telescope is equipped with three high performance brushless cooling fans. Although brushless fans are highly reliable, they do not easily lend themselves to external speed control. A typical brushless motor will exhibit its entire speed range (off -> full speed) within a range of driving power from 7 to 12 volts. To complicate matters, there is variation among motors from different manufacturers, of different sizes, and even among the same models. For this reason the TCC allows for the configuration of the cooling fan control to insure full range of speed control.

Fan Threshold sets the power needed to maintain minimum fan speed (the just above which the fan will stall), and is expressed as a percentage of maximum drive power. To adjust this setting: From the temperature control tab, or the handheld controller, slowly lower fan speed from 100% down to 5%. If the fan stalls, increase the Fan Threshold and repeat this procedure. If the fan speed is too high, lower the Fan Threshold and repeat. Iterate until the full range of fan speed is realized.

Fan Pulse Power is the amount of power needed to 'kick start' the fan from a stop to a low speed. Before adjusting Fan Pulse Power, adjust Fan Threshold. To adjust Fan Pulse Power: From the temperature control tab, or the handheld controller, set the fan speed from 0% (off) to 5%. If the fan does not spin, increase Fan Pulse Power and repeat this procedure until the fan will turn on from stop to 5%.

The TCC is attached on the rear ring of the telescope near the primary mirror. Heat generated from the TCC can potentially cause thermal currents within the telescope, which could potentially have deleterious optical effects. For this reason, the TCC is equipped with an internal cooling fan. To deactivate the fan click Off. To force the fan always on click On. Click Auto for the fan to turn on at a specified temperature, and turn off after cooling the electronics. The Set Temp setting is relative to Ambient temperature, and its units are ºF. The Hysteresis is the temperature below Set Temp at which the fan will turn off. Hysteresis is added to prevent rapid cycling of the fan.For any changes to take effect they must be uploaded to the TCC electronics.

To apply changes, press [image].

To save any changes to a configuration file, press [image] and follow the standard Windows Save File dialog box.


Configuring the Servo Focuser

Focuser configuration

To access the Focuser Configuration dialog box click menu items Tools -> Options, then click the Focus tab.

The focus control system on the TCC is a closed servo loop that sends a movement command to the motor, measures its actual position, then adjusts the motor power accordingly 6,000 times per second . This control loop is governed by a simple equation incorporating a Proportionality term, an Integral term, and a Derivative term (PID):

Where:

is defined as Error and equals the difference between the Target and Actual motor positions at time [image].

is defined as the Proportionality constant and governs the overall aggressiveness or gain of the system. Increasing this term makes the system more responsive but also decreases the systems stability.

is defined as the Derivative term and adds stability to the system by predicting the motor's position based on its current velocity. Increasing this term will generally make the system more stable; however, too high [image] can cause some instability.

or Derivative Interval is the time period over which the change in Error ( [image]) is measured. For this system the [image] is actually = (Derivative Interval + 1)*165us

is defined as the Integral term and governs the system's overall accuracy. This terms acts to remove any residual Error by accumulating Error over time. The maximum that this term can contribute is governed by the Integral Limit. Making the Integral Limit too high can add instability to the system.

Velocity and Acceleration set the maximum slew speed and acceleration of the focuser. Great care must be exercised increasing these limits as damage can be caused to the telescope if the secondary is allowed to slew at high speeds.

The TCC comes pre-adjusted with the optimal coefficients for a typical RCOS secondary actuator. However, every system is unique and there may be need to further optimize and tune the servo focuser. For a simple algorhythm on optimizing these coefficients see Tuning the Servo Focuser. NOTE: Program Versions 1.1.0 and firmware version 1.10 and greater do not allow adjustment of the PID coefficients.

An over current condition can occur if increased motor power is needed to maintain focus position. This is seen with increased mechanical resistance in the secondary actuator and normally occurs at the extremes of its travel. Persistent high current to the motor can cause motor heating which can have deleterious optical effects. By default this option is enabled.

. Deadband is defined as a region (+/- counts) around the Target focus position in which it is acceptable for the Actual focus position to settle. If this option is enabled, the motor will turn off it the Actual focus position settles within the deadband for a minimum duration of Deadband Settling Time. For example: For a target count of 11,025, a deadband of +/- 1 counts, and a Deadband Settling Time of 5 seconds, the acceptable Actual count range is 11,024 to 11,026 inclusive. An Actual count within this range for at least 5 consecutive seconds will cause the motor to turn off. Once the deadband is reached and the motor turns off, the motor will not turn back on if the Actual count drifts out of deadband range.

Enabling this option prevents motor oscillations that can occur when the Target position is at a point of increased mechanical resistance. In these situations the motor power will increase over time due to the Integral term and cause an overshoot of the target position. The motor position will then continue to oscillate around the Target position. In addition, enabling this option also allows the PID coefficients to be set more aggressively, as oscillations due to control loop instability are prevented.

and [image] will display focuser errors on the computer and handheld display respectively. The following errors are defined:

  • EXCESSIVE POSITION ERROR --This error occurs if the position error is greater than 5 counts over time. The greater the position error the less time is needed to generate this error. If this error occurs, the Target position is adjusted away from the Actual focus position at the time of error. For example: If the focuser is moving in a positive direction towards a Target count of 1,000 and the focuser stalls at position 890, the Target position will be set to 880.
  • MOTOR OVERCURRENT --The error is generated only if [image] is enabled. See above description for details.
  • MOTOR DRIVER OVERHEAT ERROR --If motor overcurrent protection is disabled, the electronic motor drivers can overheat if high motor current persists over time. If this error occurs the motor is turned off.

The focuser step size at the focal plane is used to calculate the offset from ideal focus position and is used by some auto-focus routines. Press the 'Calculate' button to display the step size calculator. To calculate the focuser step size enter the magnification of your telescope's secondary mirror and press 'OK'.

For any changes to take effect they must be uploaded to the TCC electronics. To apply changes, press [image].

To save any changes to a configuration file, press [image] and follow the standard Windows Save File dialog box.


Secondary heater configuration

Secondary heater and PIR configuration

To access the Secondary Heater Configuration dialog box click menu items Tools -> Options, then click the General tab.

Use the Secondary Heater Configuration dialog box to set the various parameters used in the automatic secondary heater servo control algorithm. The best and most accurate method of determining the servo coefficients is to use the Secondary Heater Calibration Wizard. For a brief description of servo control concepts see the PID section in Focuser Configuration.

For and explanation of setting the Instrument Rotator options see Integrating with TheSky.

To apply changes, press [image].

To save any changes to a configuration file, press [image] and follow the standard Windows Save File dialog box.


Displaying the Mini-Console

Show Mini Console

The Show Mini Console command closes the main TCC program window and opens the Mini-Console window. Please refer to navigating the mini- console for directions on use.


Temperature Plot

To view a plot of temperature over time, choose menu item Window->Show Temperature Graph or click [image] on the toolbar.

To initiate the temperature plot, check the desired temperatures to plot, set the sample period (in seconds), and click the Start/Reset button. The temperature plot can display a total of 400 data points for each temperature, after which the plot will wrap around to the beginning. The plot can be reset and restarted by pressing the Reset button.


Menu Help Topics

Help Topics

The Help Topics command displays this HTML help file.


About Dialog

About

About displays the TCC About dialog box.

The About Box displays the versions of the TCC software and the TCC hardware. Pressing the System Information button will display the Windows system information dialog box.


Toolbar Commands

Establish a connection with the TCC hardware

Disconnect from the TCC hardware.

Display the Communications Settings dialog box.

Display the Data Logging dialog box.

End a Data Logging session.

Display the Mini-Console window.

Display the Temperature Plot window.


Understanding the servo focuser

Servo Focuser

Your RC Optical Systems telescope contains a precision secondary mirror actuator with an integrated servo motor and position encoder. This system allows for a position resolution of 1/40,000 inch which is approximately 40 times the focus tolerance of your optical system.

In order to fully utilize the TCC focus capabilities it is helpful to understand to workings of the focus servo motor. When a command is issued to change the focus position, the motor is moved in the desired direction. The TCC reads the position of the secondary mirror 6000 times every second and determines the magnitude and sign of the difference between the desired position and the actual position. This difference is referred to as the Error Term and is used by the servo algorithm to determine how much power to supply to the motor. The power output is directly proportional to the Error Term (the Proportional Term) and inversely proportional to the rate of change of the Error Term (the Derivative Term). In addition, any residual Error Term accumulates over time (the Integral Term) and directly contributes to the power output. The Proportional Term contributes to the reactivity of the system, the Derivative Term adds stability to the system, and the Integral Term increased overall position accuracy.

The various servo algorithm terms have been optimized for a typical RC Optical Systems secondary focuser. However, because every system is unique it may be possible to further tune the servo system. For detailed instructions on tuning the servo system please refer to Tuning the Servo Focuser.

The TCC main application Focus Tab displays both the Target position and the Actual position of the focuser. The knowledge of both positions is helpful for determining when the focus has settled and if there is any error in positioning. The TCC servo parameters are set to provide a balance of stability and position accuracy. It is not unusual for the system to settle with a difference of up to 2 counts between the actual position and the desired position. This residual error is immaterial because it is well within the focus tolerance of the optical system.

When the TCC is powered up, the focuser position readings are set to zero. Movement of the focuser results in a position reading that indicates a position relative to this starting position. To obtain position readings that indicate the absolute position of the mirror, the TCC must first be commanded to move to the Home position. The Home position is a precision mechanical stop within the focus actuator and allows for reliable repeatability of absolute positioning. Once the TCC detects the Home position the focuser is moved 1/2,000 inch to relieve any mechanical tension. Thus the Home position corresponds to a position reading of 20 counts.


Using the Focus Tab

Focus control software

Use the controls on the Focus Tab to control the various functions of the secondary servo focuser.

There are three displayed focus positions: The 'Set Point', and 'Actual' positions display the target and actual servo positions respectively, and are expressed in units of focus counts. Each count corresponds to 1/40,000 inch of secondary mirror movement. The third displayed position is a representation of the offset from ideal mirror spacing, and can be displayed in terms of mirror spacing (Secondary Deviation) or offset at the focal plane (Focal Plane Deviation), and is displayed in units of 0.001 inch. To display the offset from ideal mirror spacing, the ideal mirror spacing must first be determined and set for your telescope. This position is unique for each telescope and is specified in the ideal backspace from the telescope's back plate. To set the ideal focus position the focuser must first be in absolute mode by first homing. Using appropriate spacers, determine the focus count that brings a star into focus at the ideal backspace position. Click the 'Set Ideal Pos' button to store this position in the TCC's non-volatile memory. This position need only be set once. Thereafter, whenever the focuser is in absolute mode the offset from ideal focus position will be displayed. For the TCC to accurately display the offset at the focal plane, the focal plane step size for your telescope must be determined and set. Choose menu item Tools->Options and click the focuser tab. Enter the step size for your telescope if known, or use the provided calculator. See focuser options for more details. See understanding the servo focuser for a more complete description servo control systems.

Pressing the up/down buttons will increase/decrease the focus position by the amount selected to the right of the buttons. Keeping the buttons depressed will cause movement commands to be repeated three times per second for five counts then 20 times per second thereafter, thus allowing large positions changes to be made rapidly.

The TCC has the ability to compensate for temperature dependent focus shift. To setup and use temperature compensation, click the 'Temperature Compensation' button to display the following window:

Before use, the Movement Threshold and Temperature Compensation Coefficient must be set. The temperature compensation coefficient corresponds to the number of focus counts the focus point shifts per degrees F or C. This coefficient can be either positive or negative and must be determined experimentally for your individual setup (telescope, accessories, mounting plate, etc). The movement threshold is the minimum counts that the focuser will move during temperature compensation. If the calculated temperature compensation is less than the set threshold, then this amount is added to the result of the next calculation. The use of a movement threshold will prevent the focuser from constantly adjusting to minor changes in ambient temperature.

Temperature compensation can be disabled or set to run in either automatic or manual mode. In Automatic mode, temperature compensation is calculated every 30 seconds, and an adjustment is made if it exceeds the movement threshold. The temperature used in calculating the temperature compensation is a 5 minute running average of the ambient temperature. This average temperature helps to eliminate the effects of short lived variations in temperature, and more closely matches the temperature time constants of components that contract and expand the optical path. In Manual mode, temperature compensation is calculated only in response to clicking the 'Manual Synch' button. This mode is useful to prevent focuser movement during an exposure.

NOTE: In compliance with the ASCOM standard, focusing is disabled when temperature compensation is active. If the focuser is commanded to move either by the hand controller or via computer an error will be displayed.

To move to a specific location, type the desired position in the text box next to the [image] button then press the button. Absolute positioning is only available after the focuser has either been commanded to seek the HOME position or the TCC started with 'Recall Last Know Focus Position' active.

To move to a previously stored position, choose the entry in the drop down list of saved positions and confirm your intent when prompted. If temperature compensation has been set up for your TCC then you will be prompted to temperature compensate the stored position. Each stored position is paired with the ambient temperature at the time of storage. If the temperature at the time of recall is significantly different, and your telescope exhibits temperature dependant focus shift, then the stored position may not be accurate. If desired, the TCC will compensate for temperature shift that results from the temperature difference. For example, if your telescope exhibits a focus shift of 5 counts/degree and a position is stored with a corresponding temperature of 50 F and it is being recalled when the temperature is 70 F, the TCC will compensate by (70F-50F)*5 (counts/F)=100 counts. Absolute positioning is only available after the focuser has either been commanded to seek the HOME position or the TCC started with 'Recall Last Know Focus Position' active.

To store the current position or edit a previously stored position, press the [image] which will launch the Store Position dialog box. Please refer to Storing and Editing Focus Positions for details of this operation.

Pressing the [image] button will command the TCC to slew to its mechanical home position. The home position is a precise, highly repeatable mechanical stop at the focus actuator's fully retracted position. Upon reaching the home position the position counts are set to 0 then the motor is backed away 20 counts to remove any mechanical strain. Using the home position as a reference point allows repeatable positioning between observing sessions, that is, positioning is Absolute. Once in absolute positioning mode, the TCC can be commanded to move to previously stored positions or to any absolute position by use of the [image] button. NOTE: The TCC needs to be commanded to the home position only once after power up. This command can be issued either via software or through the TCC hand controller. The TCC software will detect the positioning mode (Absolute/Relative) upon start up and enable the absolute positioning options accordingly. If the TCC is started with 'Recall Last Known Position at Startup' enabled, then it will be in absolute mode and homing is not necessary.

Check 'Recall Last Known Position at Startup' to have the TCC automatically save its focus position at power down and recall this position at next power up. This function is only available if the TCC is in absolute mode by Homing or being started from a last known position. The TCC will automatically store a position once it hasn't changed for approximately 3 minutes. When the position is stored the text on the RECORD button will change to [image]. When the position is changed the stored position is invalidated and the RECORD button will change to [image] If the TCC is powered down with an invalidated position it will start up with a position of 0 and will require homing to be in absolute mode. To force the current position to be stored prior to the 3 minute timeout press the RECORD button.

Pressing [image] will stop the motor at its current position. This is useful for aborting a slew to home or to a stored position.

The instantaneous motor current is displayed during a slew and during position maintenance. During normal operation the motor current should read '<0.65' after reaching the desired position. In situations of increased mechanical resistance (such as at the end of secondary actuator travel) increased current may be necessary to maintain the desired position. Prolonged over current can cause heating of the servo motor which will have undesirable optical effect. By default the motor will turn off during these situations. Please see focuser options for details on focuser configuration.

Checking [image] will turn the motor off and disable any motion command being issued from the software. This is useful to prevent inadvertent focus change during imaging. NOTE: Checking [image] will not disable focusing by the TCC hand controller or by any other linked ASCOM session such as an autofocus plugin. The Motor Status is displayed beneath this check box and indicate either ON or OFF. The motor can be turned off either manually by checking [image] or it can be set to turn off automatically when the focus position falls within the deadband range of the Set Point. Excessive position error or over current condition will also result in the motor being turned off. See focuser options to learn how to configure the focuser.


Storing focus positions

Storing and editing focus positions

Use the Store Position dialog box to store a new or edit an existing focus position. The top portion of the window displays a list of the currently stored focus positions. The bottom portion of window is used to edit existing entries or add new ones. Each stored position is contains an associated ambient temperature. The focus position-temperature pair allows the user to temperature compensate stored positions upon recall, which is useful for telescope that exhibit temperature dependent focus shift.

To edit a stored position, click on the row in the list of stored positions to edit. The stored values will be displayed in the editable boxes below. Edit the description or position/temperature values and click the 'Update' button to store, or the 'Cancel' button to clear changes. To use the current focus position and ambient temperature values, click the 'Use Current Data' button.

To add a new entry click the 'Add New' button. You will be prompted to use the the current focus and temperature data if desired. Type a description and click 'Update' to save changes or 'Cancel' to clear the new entry.

To delete a stored entry, click the row of the entry to delete. Click the 'Delete' button and confirm.


Using the Temperature Tab

Temperature control

Use the Temperature tab to control the many temperature-related functions of the TCC. These include telescope cooling via fan control, secondary mirror dew heating, and auxiliary variable power outputs which can be used to control dew heater elements. The TCC monitors three pertinent temperature: ambient, primary mirror, and secondary mirror; which are displayed in degrees Fahrenheit. These temperatures can be used to guide telescope cooling and secondary mirror heating, and are used for automatic control of these functions.

The two modes of cooling fan control are manual mode and automatic mode. In manual mode, the fan speed (power) is adjusted by pressing the Power (%) up/down arrows. In automatic mode, the fan speed is automatically adjusted in response to the relative Primary Mirror and Ambient temperatures according the equation:

Power (%)=ABS[(Primary T -(Ambient T+/- Deadband))] * Aggressiveness x 100%

Where Deadband defines an offset on either side Ambient temperature in which the fan power is zero; and Aggressiveness is inversely proportional to the temperature range that will result in full power. For example: With an Ambient T of 60 ºF, a Deadband of 1 ºF, and an Aggressiveness of .5 the Power will equal 0% when the Primary T is between than 59ºF and 61 ºF, 50% when the Primary T equals 62 ºF, and is 100% when the Primary T is greater than 63 ºF.

Note: To insure that cooling fans operate over their full speed range, see adjust fan settings.

The two modes of secondary mirror heater control are manual mode and automatic mode. In manual mode, the heater power is adjusted by pressing the Power (%) up/down arrows. In automatic mode, the heater power is automatically adjusted in response to the relative Secondary Mirror and Ambient temperatures under PID servo control. In order to assure the most accurate control of the secondary temperature, the Secondary Heater Calibration Wizard should be run to obtain the heater/mirror characteristics.

The two auxiliary power outputs are adjusted through their respective up/down arrows. Each output is capable of supplying 60 watts of power and can be used to control any device which requires a variable power (pulse width modulated) DC power, such as resistive heating elements like those supplied by Kendrick.


Using the Instrument Rotator Tab

Instrument rotator

The RCOS instrument rotator in controlled through the Instrument Rotator tab. The instrument rotator drive consists of a precision worm drive powered by a high quality stepper motor, which provides a resolution of 1/200 degree of rotation.

To command the instrument rotator to move, set a rotation step size by clicking an available option, or by choosing Other and typing step size. Press either the clockwise or counter-clockwise arrows to move the rotator accordingly. Keeping the buttons depressed will cause the movement command to be continually repeated. The instantaneous rotator position is displayed and updated during rotation.

Pressing the Home button will cause the instrument rotator to rotate counter-clockwise to one of its two home position. The rotator slews at a rate of approximately 3.25 degrees/sec. It takes 110 seconds to complete a full rotation. To reduce the amount of time it takes slew home, the instrument rotator contains two positions sensors place 180 degrees apart. Therefore, position reading after a home maneuver may read either 0 or 180 degrees, depending on which home position is detected first.

Pressing the Stop button will halt a rotator slew at its current position.

With the instrument rotator in absolute mode either by homing or by starting with 'Recall Last Known Position at Startup' enable, it can be commanded to go to specific positions by typing a position an clicking [image] or by selecting a previously stored position from the dropdown list of stored positions. To add new positions or edit stored positions click [image] to invoke the to store rotator dialog box.

Check 'Recall Last Known Position at Startup' to have the TCC automatically save its rotator position at power down and recall this position at next power up. This function is only available if the TCC is in absolute mode by Homing or being started from a last known position. The TCC will automatically store a position once it hasn't changed for approximately 3 minutes. When the position is stored the RECORD button will change to [image]. When the position is changed the stored position is invalidated the RECORD button changes to [image] If the TCC is powered down with an invalidated position it will start up with a position of 0 and will require homing to be in absolute mode. To force the current position to be stored prior to the 3 minute timeout press the RECORD button.

Wrap

The TCC maintain a Wrap position that corresponds the PIR's overall rotation relative to a user determined starting point, and can be used to determine the amount of cable wrap. If Wrap exceeds the set Wrap limits then the PIR will either rotate the opposite direction to achieve the desired position, or prompt the user for a desired action. To have the PIR automatically reverse rotation choose 'Automatically reverse when wrap limit exceeded' under rotator options.

Press Set Zero set the current PIR position to a zero wrap. This should be done when the camera cabling is in a neutral position.

Pres Unwrap to have the PIR either rotate to the zero wrap point, or to unwrap 360 degrees.

TheSky Integration

The TCC can integrate with Software Bisque TheSky versions 6.0.0.23 or greater by checking CONNECT TO THE SKY. When connected PIR rotation will cause TheSky field of view indicator (FOVI) to rotate. Conversely, rotating the FOVI will cause the PIR to rotate accordingly. Once a CCD image link is performed and the PIR rotation angle is synchronized to TheSky north angle, TheSky can be used to effortlessly place a suitable guide start in the guiding CCD. See Integrating with TheSky for more details.

Press the UTILITIES button to access several useful utilities assist in synchronizing TheSky with the PIR, for framing an object for CCD imaging, and for aligning the CCD camera to the telescope's axis.

The provided utilities are scripts that coordinate an imaging program (CCDSoft or MaxImDL), astrometric solutions via CCDSoft's WCS insertions or TheSky's image link, telescope control via TheSky, and PIR rotation. Before initial use basic settings must be entered:

  • Choose the desired imaging program. Note: If MaxImDL is chosen, CCDSoft must also be installed on your system in order to access astrometric functions.
  • Enter your systems unbinned image scale in arc seconds per pixel.
  • Set the desired image exposure time in seconds for 2x binning images.
  • For operations that slew the telescope for frame alignment, enter the desired position accuracy.
  • For operations that rotate the PIR for frame alignment, enter the desired rotation accuracy.
  • Finally, enter the maximum number of imaging-slew operations to perform to achieve desired accuracy.

Image Link & Synch PIR

This utility automates synchronizing the PIR and TheSky. During operation an image is acquired and an astrometric solution is determined. The PIR's position is then synchronized with TheSky's FOVI north angle. Choose 'Slew telescope to center object' to have the telescope slew to compensate for pointing errors and position the center of the CCD at the intended telescope coordinates. After a slew an image acquired and a new image link is performed.

Frame from Saved Image

Choose a saved FITS image and the telescope will slew to the coordinates contained in the FITS header. If no coordinates are found the current telescope coordinates are used to find a solution. The saved image is image linked and compared to an image acquisition image link. The telescope is slewed and the PIR rotated as necessary to frame the CCD exactly as the saved image. This process is repeated until either the desired accuracy is achieved or the number of iterations is exceeded.

This utility is useful for maintaining consistent framing across sessions or for matching framing after a meridian flip.

Align Camera

This utility will determine the rotators current north angle and then rotating to 0 degrees to align the CCD's Y axis the the telescope's DEC axis. This is useful for drift aligning with a CCD camera.


Integrating the TCC with Software Bisque TheSky

The TCC can be integrated with Software Bisque TheSky versions 6.0.0.23 or greater--TheSky version 5 is longer supported. When integrated, rotating the PIR via computer or via the hand controller will cause TheSky's field of view indicator (FOVI) to rotate accordingly. In addition, rotating TheSky's FOVI will cause the PIR to rotate.

NEW in version 1.5.17

Dragging the FOV indicator in TheSky will cause the mount to Jog in the same direction. For example: dragging the center of the FOV indicator by 2.5 arc-minutes to the North and 3 arc-minutes to the East will cause the mount to jog 2.5 arc-minutes to the North and 3 arc-minutes to the East. This added functionality is useful for framing the image and/or obtaining a suitable guide star.

Before initial use, some basic configuration options should be set by navigating menu items Tools -> Options and choosing the 'Sec. Heater/Rotator' tab.

  • Choose 'Prompt for TheSky induced PIR rotations' to have PIR rotations confirmed
  • The TCC can be configured to monitor the telescopes orientation and prompt the user to rotate the PIR 180 degrees OR rotate the FOVI 180 degrees in response to a meridian flip.

To connect to TheSky check 'Connect to TheSky' on located on the main TCC program's Rotator tab. Upon initial connection to TheSky, the TCC will perform a number of initialization and synchronization steps:

  • First, if 'Check telescope East/West position' is checked, the telescope's RA is compared to the LST and the telescope's orientation is determined. If the telescope is pointing withing 10 degrees of the meridian the user is prompted to enter the telescopes orientation. This is necessary since there is no way to directly determine the telescope's orientation from TheSky RASCOM interface, and some telescopes allow significant tracking through the meridian.
  • If the TCC is started with the last PIR position recorded, the it will check the current telescope orientation to that when the position was saved. If different (e.g. East vs West) then the rotator displayed position is adjusted by 180 degrees.
  • Next, the TCC checks the current PIR position against TheSky's FOVI north angle. If different, the TCC will present synchronization options.

  • Choose 'Set TheSky to the current PIR position' if TheSky and the PIR have been previously synchronized via an image link and the PIR position has been saved across sessions. TheSky's FOVI will then be aligned with the CCD array.
  • Choose 'Synchronize the PIR position to TheSky north angle' to cause the TCC rotation angle to be synchronized with TheSky's FOVI north angle. Note: The PIR will not rotate only the display angle will change. This option should be performed after an image link is performed in TheSky.
  • Choose 'Synchronize later. Retain current offset between PIR and TheSky angles' if neither the PIR or TheSky have meaningful rotation angles. TheSky and the PIR will continue to rotate in concert but their displayed angles will be different. A synchronization can be performed later by choosing the 'Synchronize' button located on the main TCC program's rotator tab.

Once connected, the PIR can be operated and TheSky will rotate accordingly. To use TheSky to rotate the PIR simply rotate the FOVI. If the option to 'Prompt prior to TheSky induced rotations' is active then a prompt will be displayed to accept the rotation or reset TheSky angle to the current PIR angle.

If telescope tracking is enabled and the TCC determines that a meridian flip likely occurred, the user is prompted for the appropriate action.

  • 'Rotate the PIR 180 degrees' will rotate the PIR 180 degrees while maintaining the same rotation angle readout.
  • 'Rotate TheSky 180 degrees' will adjust the PIR rotation angle by 180 degrees (does not rotate) and rotate TheSky FOV 180 degrees to match.
  • 'Do Nothing. NO meridian flip has occurred' will cause the TCC to ignore the perceived meridian flip.

A typical session with TheSky integration will require the following steps:

  1. From within TheSky slew to an object of interest, or any place on the same side of the meridian as the object of interest, take a short exposure CCD image and perform an image link in TheSky or use the PIR utility 'Image Link and Synch'. The will cause TheSky's FOVI to be aligned with the axis of the CCD array.
  2. From within the TCC program check 'Connect to TheSky'. When presented with synchronization options choose 'Synchronize the PIR position to TheSky north angle.'
  3. The PIR and TheSky will now be synchronized. You can now slew to any object on the same side of the meridian, rotate TheSky FOVI to achieve desired framing and to choose an appropriate guide star.
  4. If necessary, drag the center of the FOV indicator to achieve desired framing and the mount will automatically slew to the new position.
  5. Guide and image as usual.
  6. If tracking an object through the meridian and a meridian flip occurs, rotate the PIR 180 degrees when prompted and the rotation angle will be preserved.

To help automate TheSky and PIR synchronization several helpful utilities are provided which can be accessed through the Utilities button on the Rotator tab.


Using the Mini Console

The mini-console provides core functionality of the TCC while utilizing a minimum of computer screen real estate. This applet is useful when used in conjunction with other programs such as image acquisition applications. The mini-console can be launched by either toggling the main TCC application window by pressing the [image] on then toolbar, or though the ASCOM interface by checking 'Launch control console' on the setup dialog box.

To navigate to the desired control function, scroll horizontally to the desired function tab and press:

Press [image] on the toolbar to toggle to the main TCC application.

Press [image] to cause the mini-console to always be the top-most window.

Focusing

Press the Up/Down arrow buttons to increment or decrement the focus position by the desired step size. Adjust the step size by pressing the up/down scroll buttons. Press Home to command the focuser to move to the home position. Press Stop to abort an active slew. For more information see Using the Servo Focuser.

Instrument rotation

Press the Up/Down arrow buttons to increment or decrement the instrument rotator position by the desired step size. Adjust the step size by pressing the up/down scroll buttons. Press Home to command the rotator to move to the home position. Press Stop to abort an active slew. Choose 'Target' to display the rotator set point. Choose 'Actual' to display the rotator's actual position during a slew. For more information see Using the Instrument Rotator.

Cooling fans

The ambient and primary mirror temperatures are displayed and can be used to guide the use of the cooling fans. Click the 'Off', 'Manual', or 'Automatic' options to set the desired mode of operation. On manual mode, the power is set by scrolling up/down. See Cooling Fan Use for an overview of fan control.

Secondary heater

The ambient and secondary mirror temperatures are displayed and can be used to guide the use of the secondary mirror heater. Click the 'Off', 'Manual', or 'Automatic' options to set the desired mode of operation. On manual mode, the power is set by pressing the scrolling up/down. See Secondary Mirror Heater for an overview of use.

Auxiliary outputs

The TCC auxiliary outputs are controlled through the Dew Heater tab. The outputs are activated by checking the appropriate check box or by increasing the power past 0%. The power adjusted by scrolling up/down.


Programmer

Programmer's guide

The TCC software exposes various COM interfaces that can be used to control the TCC via COM capable programming or scripting language. The three exposed COM objects are RCOS_AE.Focuser, RCOS_AE.Rotator, and RCOS_AE.Temperature.


Maxim DL/CCD and FocusMax

MaxIm DL/CCD

The TCC exposes an ASCOM compliant interface for its focuser. This ASCOM driver has been tested with MaxIm DL/CCD version 3, and FocusMax versions 2 and 3. To control the TCC through MaxIm DL/CCD, open the Telescope Control dialog box (within MaxIm) and choose 'RCOS TCC' in the drop-down list of available focusers.

Press the 'Setup' button to configure the TCC for communications port, set the focuser step size, and the option to display the TCC mini-console.

To determine the focuser step size at prime focus for your RCOS scope, press the Calculate button to display a calculator.

To calculate the focuser step size at prime focus, enter your telescope's secondary mirror magnification and press OK.

Note: Changing the COM port will close any concurrently opened TCC sessions.

To connect MaxIm DL/CCD to the TCC, press the Connect button. Once connected the focuser can be concurrently controlled by MaxIm DL/CCD, the TCC mini-console, the TCC main application, or any other ASCOM application.

Auto-focusing can be achieved through the auto-focus routine in MaxIm DL/CCD or third-party programs that communicate through MaxIm DL/CCD such as FocusMax. The TCC can also be controlled directly by FocusMax when it is used as a stand-alone product.


CCDSoft

The TCC will integrate with Software Bisque CCDSoft version 5.00.135 or greater. To configure choose 'RCOS Focuser' from CCDSoft's drop down list of focusers.

In order for CCDSoft's automated focusing utility @Focus to operate correctly the appropriate large and small step sizes must be entered by choosing the Settings button.

For assistance in determining the appropriate Step Sizes press the Calculate button.

Enter the telescope's secondary mirror magnification and the effect f-ratio in order to calculate the Critical Focus Zone (CFZ). The recommended Small Step Size is 0.2 x CFZ and the recommended Large Step Size is 2 x CFZ. These are recommended value determined by empirically, but you may find other values yield better results. For a more complete explanation of Step Sizes and @Focus refer to the CCDSoft's user manual.


Focuser object

RCOS_AE.Focuser

Use the Focuser object's members to access the various functions of the TCC focuser. The focuser members are a superset of the ASCOM specification and is therefore NOT ASCOM compliant. The TCC focuser object will work with any ASCOM client. However, applications that use non-ASCOM members of the focuser object may not work with other ASCOM compliant focusers. Members that are not ASCOM compliant are noted.

Properties

Absolute | Read only, BOOLEAN | Returns TRUE if focuser is in absolute mode.
AppVersion | Read only, STRING | Returns the TCC software version. NOT AN ASCOM PROPERTY
Connected | Read/Write, BOOLEAN | Connects/Disconnects the TCC through a serial port. (Interchangeable with the Link property)
FocusPositionRecorded | Read only, BOOLEAN | Returns TRUE if the current focus position is recorded in TCC non-volatile memory. NOT AN ASCOM PROPERTY
IsMoving | Read only, VARIANT | Returns TRUE if the focuser is moving.
Link | Read/Write, BOOLEAN | Connects/Disconnects the TCC through a serial port. (Interchangeable with the Connected property)
MaxIncrement | Read only, VARIANT | Returns the maximum movement increment in counts that the focuser will accept.
MaxStep | Read only, VARIANT | Same as MaxIncrement.
Position | Read only, VARIANT | Returns the current focus position.
RecallFocusPosition | Read/Write, BOOLEAN | Sets/Returns if the TCC recalls last focus position at startup. NOT AN ASCOM PROPERTY
StepSize | Read only, VARIANT | Returns the focuser step size in microns at the focal plane.
TempComp | Read/Write, BOOLEAN | Set/Returns temperature compensation active. If TempCompManualMode=TRUE, then will force a temperature compensation synch.
TempCompAvailable | Read only, VARIANT | Returns TRUE if temperature compensation is available on TCC firmware.
TempCompManualMode | Read/Write, BOOLEAN | Set/Returns if temperature compensation mode is MANUAL or AUTOMATIC (MANUAL=TRUE). NOT AN ASCOM PROPERTY
TempCompMovementThreshold | Read/Write, INTEGER | Set/Returns the minimum temperature compensation movement threshold in counts. NOT AN ASCOM PROPERTY
Temperature | Read only, VARIANT | Returns the current ambient temperature in degrees Farenheit.

Methods

Halt() | Immediately halts focus slew.
Move(position) | Moves the focuser to the specified position.
RecordFocusPosition | Stores the current focus position in TCC non-volatile memory. NOT AN ASCOM METHOD
SetupDialog | Causes the Setup dialog box to be displayed.
ShowForm(mode) | Mode=1 causes the TCC mini-console to be displayed. Mode=2 causes the TCC main app window to be displayed. NOT AN ASCOM METHOD


Focuser object

Temperature object

RCOS_AE.Temperature

Use the Temperature object's members to access the various functions of the TCC temperature control.

Properties

AmbientTemp | Read only, Double | Returns the ambient temperature in degrees Fahrenheit.
AmbientTempRaw | Read only, INTEGER | Returns the raw A/D value of the ambient temperature. Used for calibration.
Connected | Read/Write, BOOLEAN | Connects/Disconnects the TCC through a serial port. (Interchangeable with the Link property)
DewHeater1Power | Read/Write, INTEGER | Set/Returns the auxiliary heater1 power in percentage of full power.
DewHeater2Power | Read/Write, INTEGER | Set/Returns the auxiliary heater2 power in percentage of full power.
ElectronicTemp | Read only, DOUBLE | Returns the TCC electronics temperature in degrees Fahrenheit.
FanAggressiveness | Read/Write, SINGLE | Set/Returns the aggressiveness setting for the telescope fans automatic mode.
FanDeadband | Read/Write, SINGLE | Set/Returns the deadband setting in degrees Fahrenheit for the telescope fans automatic mode.
FanMode | Read/Write, INTEGER | Set/Returns telescope cooling fan mode. 0=manual, 1=automatic, 2=off.
FanSpeed | Read/Write, INTEGER | Set/Returns telescope cooling fan speed in percentage of full power.
PrimaryTemp | Read only, Double | Returns the primary mirror temperature in degrees Fahrenheit.
PrimaryTempRaw | Read only, INTEGER | Returns the raw A/D value of the primary mirror temperature. Used for calibration.
SecondaryHeaterMode | Read/Write, INTEGER | Set/Returns telescope secondary heater mode. 0=manual, 1=automatic, 2=off.
SecondaryHeaterPower | Read/Write, INTEGER | Set/Returns telescope secondary heater power in percentage of full power.
SecondaryHeaterSetpoint | Read/Write, SINGLE | Set/Returns the secondary heater setpoint in degrees Fahrenheit for automatic mode.
SecondaryTemp | Read only, Double | Returns the secondary mirror temperature in degrees Fahrenheit.
SecondaryTempRaw | Read only, INTEGER | Returns the raw A/D value of the secondary mirror temperature. Used for calibration.
TemperatureUnits | Read only, VARIANT | Returns a value of 1 for degrees Fahrenheit.


Focuser object

Rotator object

RCOS_AE.Rotator

Use the Rotator object's members to access the various functions of the TCC instrument rotator.

Properties

Absolute | Read only, BOOLEAN | Returns TRUE if Rotator is in absolute mode.
ActivatePositionLimit | Read/Write, VARIANT | Set/Returns if position limits are activated.
AppVersion | Read only, STRING | Returns the TCC software version.
Connected | Read/Write, BOOLEAN | Connects/Disconnects the TCC through a serial port. (Interchangeable with the Link property)
IsMoving | Read only, VARIANT | Returns TRUE if the Rotator is moving.
Link | Read/Write, BOOLEAN | Connects/Disconnects the TCC through a serial port. (Interchangeable with the Connected property)
MaxIncrement | Read only, VARIANT | Returns the maximum movement increment in degrees that the Rotator will accept.
NegPositionLimit | Read/Write, VARIANT | Set/Returns the negative position limit between 0 and -720 degrees.
Position | Read only, VARIANT | Returns the current rotator position.
RecallRotatorPosition | Read/Write, BOOLEAN | Sets/Returns if the TCC recalls last rotator position at startup.
RotatorPositionRecorded | Read only, BOOLEAN | Returns TRUE if the current rotator position has been stored in non-volatile memory.
SetPosition | Read only, VARIANT | Returns the Rotator set position.
StepSize | Read only, VARIANT | Returns the minimum rotator step size in degrees.

Methods

GoHome() | Causes the rotator to seek the home position.
Halt() | Immediately halts rotator slew.
Move(position) | Moves the Rotator by position degrees relative to the current position.
MoveAbsolute(position) | Moves the Rotator to the absolute position.
RecordRotatorPosition | Stores the current rotator position in TCC non-volatile memory.
SetupDialog | Causes the Setup dialog box to be displayed.
ShowForm(mode) | Mode=1 causes the TCC mini-console to be displayed. Mode=2 causes the TCC main app window to be displayed.


Forcing a Firmware Upgrade

  • On occasion the flash memory in the TCC may become corrupt and the internal TCC program may not run correctly. When this happens communications with the TCC PC software may cease and it won't be possible to upgrade the TCC hardware firmware using the TCC Firmware Upgrade Wizard. The TCC contains a jumper on its electronic board that, when set, forces the TCC into firmware upgrade mode, allowing the firmware to be reloaded via the TCC software. To perform this operation follow these simple steps:
  • Obtain the latest TCC firmware file from the RCOS User Group (http://customer.rcopticasystems.com) and store on your computer's local hard drive.
  • Unplug all cables from the TCC and remove the TCC from the telescope in order to easily disassemble. Remove the upper clam shell enclosure by removing the two upper screws from each end plate.

  • Locate JP5 on the electronic circuit board and move the jumper between the center and left-hand pin.
  • Connect the power and computer cables to the TCC and the PC.
  • Turn on the power to the TCC and start the TCC software. At this point the TCC software should start and not give a communications error. The TCC software will not display any information--this is normal operation. If the TCC software displays a communications error, close the program, power cycle the TCC, and try again.
  • Once communications is established, run the Firmware Upgrade Wizard to load the latest firmware file obtained in step 1.
  • After the firmware file is uploaded, turn off power to the TCC, move the jumper on JP5 to the center and right-hand pin. The TCC should now act normally.


Untitled Document

Focus

Your RC Optical Systems telescope contains a precision secondary mirror actuator with an integrated servo motor and position encoder. This system allows for position resolution of 1/40,000 inch


Storing focus positions

Storing and editing rotator positions

Use the Store Position dialog box to store a new or edit an existing rotator position. The top portion of the window displays a list of the currently stored rotator positions. The bottom portion of window is used to edit existing entries or add new ones.

To edit a stored position, click on the row in the list of stored positions to edit. The stored values will be displayed in the editable boxes below. Edit the description and/or position values and click the 'Update' button to store, or the 'Cancel' button to clear changes. To use the current rotator position value, click the 'Use Current Data' button.

To add a new entry click the 'Add New' button. You will be prompted to use the the current rotator position if desired. Type a description and click 'Update' to save changes or 'Cancel' to clear the new entry.

To delete a stored entry, click the row of the entry to delete. Click the 'Delete' button and confirm.